CINCLUDE2DOT(1)

NAME
cinclude2dot - generate graphs of #include dependencies

SYNOPSIS
cinclude2dot

DESCRIPTION
cinclude2dot writes a graphviz(dot) graph of the #include relationships of the .c, .cc, .cpp, .cxx, .h, .hpp and .hxx files of the current directory to standard output.

OPTIONS

--debug
    Write various debugging information.

--exclude
    Specify a regular expression of filenames to be ignored - for example, your test harnesses.

--merge arg
    Specify the granularity of the diagram - arg = file is the default, which treats each file as being separate; arg = module merges .c/.cc/.cpp/.cxx and .h/.hpp/.hxx pairs; arg = directory merges directories into one node.

--groups
    Cluster files or modules into directory groups.

--help
    Write a usage message for this command.

--include pathlist
    Set the directory search path to be the supplied comma-separated list of directories.

--paths
    Leaves relative paths in displayed filenames.

--quotetypes arg
    arg = both is the default, parse all headers; arg = angle includes only system headers quoted with angle brackets; arg = quote includes only user headers included with double quotes.

EXAMPLES
$ ls
hello.c
$ cinclude2dot -i /usr/include hello.c
$ ls
hello.c hello.dot
$

SEE ALSO
dot(1), dotty(1), neato(1).